GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::ImageToImageFilter Class Reference

ImageToImageFilter class Super class for all filter taking an image and producing an output image. More...

`#include <gdcmImageToImageFilter.h>`

Inheritance diagram for gdcm::ImageToImageFilter:
[legend]
Collaboration diagram for gdcm::ImageToImageFilter:
[legend]

## Public Member Functions

| ImageToImageFilter ()
| ~ImageToImageFilter ()
Image & | GetInput ()
const Image & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::PixmapToPixmapFilter
| PixmapToPixmapFilter ()
| ~PixmapToPixmapFilter ()
Pixmap & | GetInput ()
const Pixmap & | GetOutput () const
| Get Output image.
Public Member Functions inherited from gdcm::BitmapToBitmapFilter
| BitmapToBitmapFilter ()
| ~BitmapToBitmapFilter ()
const Bitmap & | GetOutput () const
| Get Output image.
void | SetInput (const Bitmap &image)
| Set input image.

## Additional Inherited Members

Protected Attributes inherited from gdcm::BitmapToBitmapFilter
SmartPointer< Bitmap > | Input
SmartPointer< Bitmap > | Output

## Detailed Description

ImageToImageFilter class Super class for all filter taking an image and producing an output image.

## Constructor & Destructor Documentation

gdcm::ImageToImageFilter::ImageToImageFilter | ( |  | ) |

gdcm::ImageToImageFilter::~ImageToImageFilter | ( |  | ) |

inline

## Member Function Documentation

Image& gdcm::ImageToImageFilter::GetInput | ( |  | ) |

const Image& gdcm::ImageToImageFilter::GetOutput | ( |  | ) | const

Get Output image.

Examples:
  CompressImage.cxx.

The documentation for this class was generated from the following file:

- gdcmImageToImageFilter.h